# Get account NFT actions

Get account NFT actions by its identifier (public key or account hash)

```
GET /accounts/{account_identifier}/nft-token-actions
```

## Query params

| Query param         | Description                           |
| ------------------- | ------------------------------------- |
| `from_block_height` | From block height range               |
| `to_block_height`   | To block height range                 |
| `deploy_hash`       | Comma-separated list of deploy hashes |

## Sorting

| Property    | Description                   |
| ----------- | ----------------------------- |
| `timestamp` | Sort NFT actions by timestamp |

Default sorting is `timestamp DESC`

## Optional properties

| Property                        | Type                                                                                        | Description                                                       |
| ------------------------------- | ------------------------------------------------------------------------------------------- | ----------------------------------------------------------------- |
| `contract_package`              | [`ContractPackage`](https://docs.cspr.cloud/1.4.x/rest-api/contract-package)                | NFT contract package                                              |
| `deploy`                        | [`Deploy`](https://docs.cspr.cloud/1.4.x/rest-api/deploy)                                   | Deploy in which the token action occurred                         |
| `from_public_key`               | `string(68)`                                                                                | Action source public key if it's an account                       |
| `to_public_key`                 | `string(68)`                                                                                | Action target public key if it's an account                       |
| `to_account_info`               | [`AccountInfo`](https://docs.cspr.cloud/1.4.x/rest-api/account-info)                        | Action source account info if it's an account                     |
| `to_centralized_account_info`   | [`CentralizedAccountInfo`](https://docs.cspr.cloud/1.4.x/rest-api/centralized-account-info) | Action target centralized account info if it's an account         |
| `from_account_info`             | [`AccountInfo`](https://docs.cspr.cloud/1.4.x/rest-api/account-info)                        | Action target account info if it's an account                     |
| `from_centralized_account_info` | [`CentralizedAccountInfo`](https://docs.cspr.cloud/1.4.x/rest-api/centralized-account-info) | Action target centralized account info if it's an account         |
| `from_cspr_name`                | `string`                                                                                    | Primary CSPR.name of the source account, if it is an account      |
| `to_cspr_name`                  | `string`                                                                                    | Primary CSPR.name of the destination account, if it is an account |

## Response

[`PaginatedResponse`](https://docs.cspr.cloud/1.4.x/documentation/overview/pagination)[`<NFTTokenAction>`](https://docs.cspr.cloud/1.4.x/rest-api/non-fungible-token-action)

## Example

```bash
curl -X 'GET' \
  'https://api.testnet.cspr.cloud/accounts/3411D3B4D457AF0309F3EE967D18CA53FDFF749CAA60314AEB47F2FF9F99C1C1/nft-token-actions' \
  -H 'accept: application/json' \
  -H 'authorization: 55f79117-fc4d-4d60-9956-65423f39a06a'
```

```json
{
  "data": [
    {
      "contract_package_hash": "542359cb825bbf2a10017db5cb31b8862df7a64784e39b947678164156050d89",
      "deploy_hash": "1a9d50b16af889d2c3bd32e54216150d3bb2e0718d2a6572bb33167d1297460c",
      "block_height": 150039,
      "from_hash": "3411d3b4d457af0309f3ee967d18ca53fdff749caa60314aeb47f2ff9f99c1c1",
      "from_type": 0,
      "nft_action_id": 5,
      "timestamp": "2021-08-11T07:20:18Z",
      "to_hash": "3411d3b4d457af0309f3ee967d18ca53fdff749caa60314aeb47f2ff9f99c1c1",
      "to_type": 0,
      "token_id": "US-7000001-XTest6",
      "token_tracking_id": 5
    },
    {
      "contract_package_hash": "542359cb825bbf2a10017db5cb31b8862df7a64784e39b947678164156050d89",
      "deploy_hash": "1bb29c2c92270b8ae17062a798395793f1eebb0af2f228d5504775b28c679616",
      "block_height": 150024,
      "from_hash": null,
      "from_type": null,
      "nft_action_id": 1,
      "timestamp": "2021-08-11T07:04:29Z",
      "to_hash": "3411d3b4d457af0309f3ee967d18ca53fdff749caa60314aeb47f2ff9f99c1c1",
      "to_type": 0,
      "token_id": "US-7000001-XTest6",
      "token_tracking_id": 5
    },
    ...
    {
      "contract_package_hash": "542359cb825bbf2a10017db5cb31b8862df7a64784e39b947678164156050d89",
      "deploy_hash": "b761d7a8651cda6fae958ff37f86cd82e15f3f136ff710b0ce7607743c147772",
      "block_height": 150043,
      "from_hash": null,
      "from_type": null,
      "nft_action_id": 1,
      "timestamp": "2021-08-11T07:25:09Z",
      "to_hash": "3411d3b4d457af0309f3ee967d18ca53fdff749caa60314aeb47f2ff9f99c1c1",
      "to_type": 0,
      "token_id": "XTest11",
      "token_tracking_id": 10
    }
  ],
  "item_count": 11,
  "page_count": 2
}
```
